package com.sky.ioc.controller.notice;

import com.sky.ioc.entity.domain.notice.Notice;
import com.sky.ioc.entity.params.IocParam;
import com.sky.ioc.entity.params.notice.NoticeParam;
import com.sky.ioc.service.notice.NoticeService;
import com.sky.ioc.tool.ReturnMsg;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

@Api(tags ="通知")
@Slf4j
@RestController
@RequestMapping("/notice")
public class NoticeController {


    @Autowired
    NoticeService noticeService;

    @ApiOperation("分页列表")
    @PostMapping("/getList")
    public ReturnMsg getList(@RequestBody NoticeParam noticeParam){

        return noticeService.listPage(noticeParam);
    }
}
